Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package propertyeditors :: Module progresseditor :: Class ProgressEditor |
[frames] | no frames]

# Class ProgressEditor

source code

                  object --+
                           |
       baseeditor.BaseEditor --+
                               |
                wx.Panel --+   |
                           |   |
    ProgressEditorGuiCreator --+
                               |
                              ProgressEditor

Instance Methods
__init__(self, parent, editor, name="") x.__init__(...) initializes x; see help(type(x)) for signature | source code
focus(self) | source code
clear_data(self) | source code
Inherited from `baseeditor.BaseEditor`: `create_gui`, `get_data`, `set_data` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__` Inherited from `ProgressEditorGuiCreator`: `create_controls`, `create_sizer`, `put_controls_in_sizer`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, parent, editor, name="") (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: ProgressEditorGuiCreator.__init__

### focus(self) | source code
Overrides: baseeditor.BaseEditor.focus